Skip to main content
PUT
/
v1
/
bank-accounts
/
{id}
Update a bank account
curl --request PUT \
  --url https://dev.flextell.ai/api/v1/bank-accounts/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-Tenant: <x-tenant>' \
  --data '
{
  "name": "<string>",
  "account_number": "<string>",
  "bank_name": "<string>",
  "branch_name": "<string>",
  "swift": "<string>",
  "iban": "<string>",
  "is_default": true,
  "is_active": true,
  "currency_id": "<string>"
}
'
{
  "success": "<string>",
  "data": {
    "id": 123,
    "tenant_id": 123,
    "name": "<string>",
    "account_number": "<string>",
    "bank_name": "<string>",
    "branch_name": "<string>",
    "swift": "<string>",
    "iban": "<string>",
    "debit": "<string>",
    "credit": "<string>",
    "balance": "<string>",
    "is_default": true,
    "is_active": true,
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "currency": {
      "id": 123,
      "code": "<string>",
      "symbol": "<string>",
      "name": "<string>"
    }
  }
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

X-Tenant
number
required

Tenant identifier. Send the Tenant ID in the X-Tenant header to scope API requests to a specific tenant.

Path Parameters

id
integer
required

The bank account identifier

Body

application/json
name
string

The name.

Maximum string length: 255
account_number
string | null

Account number.

Maximum string length: 255
bank_name
string | null

Bank name.

Maximum string length: 255
branch_name
string | null

Branch name.

Maximum string length: 255
swift
string | null

SWIFT/BIC code.

Maximum string length: 255
iban
string | null

IBAN number.

Maximum string length: 255
is_default
boolean

Whether the record is the default.

is_active
boolean

Whether the record is active.

currency_id
string

The currency ID.

Response

success
string
required
data
BankAccountResource · object
required